SpeciesFields (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields

## Enum SpeciesFields

- java.lang.Object
- - java.lang.Enum<SpeciesFields>
  - - org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields.SpeciesFields

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<SpeciesFields>

      public enum SpeciesFields
      extends Enum<SpeciesFields>
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `algae`
    `angling`
    `authname`
    `classcolumn`
    `customized`
    `dangerous`
    `database_id`
    `datecreated`
    `dateexpert`
    `datemodified`
    `deepwater`
    `depthmax`
    `depthmin`
    `depthprefmax`
    `depthprefmin`
    `depthref`
    `diving`
    `effort`
    `emostlong`
    `english_name`
    `entered`
    `envelope`
    `expert`
    `familycolumn`
    `faoareas`
    `faoareasref`
    `faocomplete`
    `fbname`
    `french_name`
    `freshwater`
    `genus`
    `iceconmax`
    `iceconmin`
    `iceconprefmax`
    `iceconprefmin`
    `iceconref`
    `internalid`
    `iscaap`
    `kingdom`
    `landdistmax`
    `landdistmin`
    `landdistprefmax`
    `landdistprefmin`
    `landdistref`
    `layer`
    `lifestage`
    `lme`
    `m_invertebrates`
    `m_mammals`
    `map_beforeafter`
    `map_seasonal`
    `mapdata`
    `meandepth`
    `nmostlat`
    `no_of_cells_0`
    `no_of_cells_3`
    `no_of_cells_5`
    `occurcells`
    `occurrecs`
    `ordercolumn`
    `pelagic`
    `phylum`
    `pic_source_url`
    `picname`
    `primprodmax`
    `primprodmin`
    `primprodprefmax`
    `primprodprefmin`
    `primprodprefref`
    `querynumber`
    `rank`
    `remark`
    `salinitymax`
    `salinitymin`
    `salinityprefmax`
    `salinityprefmin`
    `salinityref`
    `scientific_name`
    `seabirds`
    `smostlat`
    `spanish_name`
    `speccode`
    `species`
    `speciesid`
    `taxocode`
    `tempmax`
    `tempmin`
    `tempprefmax`
    `tempprefmin`
    `tempref`
    `timestampcolumn`
    `total_native_csc_cnt`
    `usepoints`
    `with_gt_66`
    `with_gte_5`
    `with_gte_6`
    `wmostlong`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpeciesFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpeciesFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### genus

          public static final SpeciesFields genus

    - #### species

          public static final SpeciesFields species

    - #### fbname

          public static final SpeciesFields fbname

    - #### speccode

          public static final SpeciesFields speccode

    - #### occurrecs

          public static final SpeciesFields occurrecs

    - #### occurcells

          public static final SpeciesFields occurcells

    - #### speciesid

          public static final SpeciesFields speciesid

    - #### kingdom

          public static final SpeciesFields kingdom

    - #### phylum

          public static final SpeciesFields phylum

    - #### classcolumn

          public static final SpeciesFields classcolumn

    - #### ordercolumn

          public static final SpeciesFields ordercolumn

    - #### familycolumn

          public static final SpeciesFields familycolumn

    - #### map_beforeafter

          public static final SpeciesFields map_beforeafter

    - #### map_seasonal

          public static final SpeciesFields map_seasonal

    - #### with_gte_5

          public static final SpeciesFields with_gte_5

    - #### with_gte_6

          public static final SpeciesFields with_gte_6

    - #### with_gt_66

          public static final SpeciesFields with_gt_66

    - #### no_of_cells_3

          public static final SpeciesFields no_of_cells_3

    - #### no_of_cells_5

          public static final SpeciesFields no_of_cells_5

    - #### no_of_cells_0

          public static final SpeciesFields no_of_cells_0

    - #### database_id

          public static final SpeciesFields database_id

    - #### picname

          public static final SpeciesFields picname

    - #### authname

          public static final SpeciesFields authname

    - #### entered

          public static final SpeciesFields entered

    - #### total_native_csc_cnt

          public static final SpeciesFields total_native_csc_cnt

    - #### deepwater

          public static final SpeciesFields deepwater

    - #### m_mammals

          public static final SpeciesFields m_mammals

    - #### angling

          public static final SpeciesFields angling

    - #### diving

          public static final SpeciesFields diving

    - #### dangerous

          public static final SpeciesFields dangerous

    - #### m_invertebrates

          public static final SpeciesFields m_invertebrates

    - #### algae

          public static final SpeciesFields algae

    - #### seabirds

          public static final SpeciesFields seabirds

    - #### timestampcolumn

          public static final SpeciesFields timestampcolumn

    - #### pic_source_url

          public static final SpeciesFields pic_source_url

    - #### freshwater

          public static final SpeciesFields freshwater

    - #### scientific_name

          public static final SpeciesFields scientific_name

    - #### english_name

          public static final SpeciesFields english_name

    - #### french_name

          public static final SpeciesFields french_name

    - #### spanish_name

          public static final SpeciesFields spanish_name

    - #### iscaap

          public static final SpeciesFields iscaap

    - #### taxocode

          public static final SpeciesFields taxocode

    - #### internalid

          public static final SpeciesFields internalid

    - #### lifestage

          public static final SpeciesFields lifestage

    - #### faoareas

          public static final SpeciesFields faoareas

    - #### faoareasref

          public static final SpeciesFields faoareasref

    - #### faocomplete

          public static final SpeciesFields faocomplete

    - #### nmostlat

          public static final SpeciesFields nmostlat

    - #### smostlat

          public static final SpeciesFields smostlat

    - #### wmostlong

          public static final SpeciesFields wmostlong

    - #### emostlong

          public static final SpeciesFields emostlong

    - #### lme

          public static final SpeciesFields lme

    - #### depthmin

          public static final SpeciesFields depthmin

    - #### depthmax

          public static final SpeciesFields depthmax

    - #### depthprefmin

          public static final SpeciesFields depthprefmin

    - #### depthprefmax

          public static final SpeciesFields depthprefmax

    - #### meandepth

          public static final SpeciesFields meandepth

    - #### pelagic

          public static final SpeciesFields pelagic

    - #### depthref

          public static final SpeciesFields depthref

    - #### tempmin

          public static final SpeciesFields tempmin

    - #### tempmax

          public static final SpeciesFields tempmax

    - #### tempprefmin

          public static final SpeciesFields tempprefmin

    - #### tempprefmax

          public static final SpeciesFields tempprefmax

    - #### tempref

          public static final SpeciesFields tempref

    - #### salinitymin

          public static final SpeciesFields salinitymin

    - #### salinitymax

          public static final SpeciesFields salinitymax

    - #### salinityprefmin

          public static final SpeciesFields salinityprefmin

    - #### salinityprefmax

          public static final SpeciesFields salinityprefmax

    - #### salinityref

          public static final SpeciesFields salinityref

    - #### primprodmin

          public static final SpeciesFields primprodmin

    - #### primprodmax

          public static final SpeciesFields primprodmax

    - #### primprodprefmin

          public static final SpeciesFields primprodprefmin

    - #### primprodprefmax

          public static final SpeciesFields primprodprefmax

    - #### primprodprefref

          public static final SpeciesFields primprodprefref

    - #### iceconmin

          public static final SpeciesFields iceconmin

    - #### iceconmax

          public static final SpeciesFields iceconmax

    - #### iceconprefmin

          public static final SpeciesFields iceconprefmin

    - #### iceconprefmax

          public static final SpeciesFields iceconprefmax

    - #### iceconref

          public static final SpeciesFields iceconref

    - #### landdistmin

          public static final SpeciesFields landdistmin

    - #### landdistmax

          public static final SpeciesFields landdistmax

    - #### landdistprefmin

          public static final SpeciesFields landdistprefmin

    - #### landdistprefmax

          public static final SpeciesFields landdistprefmax

    - #### landdistref

          public static final SpeciesFields landdistref

    - #### remark

          public static final SpeciesFields remark

    - #### datecreated

          public static final SpeciesFields datecreated

    - #### datemodified

          public static final SpeciesFields datemodified

    - #### expert

          public static final SpeciesFields expert

    - #### dateexpert

          public static final SpeciesFields dateexpert

    - #### envelope

          public static final SpeciesFields envelope

    - #### mapdata

          public static final SpeciesFields mapdata

    - #### effort

          public static final SpeciesFields effort

    - #### layer

          public static final SpeciesFields layer

    - #### usepoints

          public static final SpeciesFields usepoints

    - #### rank

          public static final SpeciesFields rank

    - #### customized

          public static final SpeciesFields customized

    - #### querynumber

          public static final SpeciesFields querynumber

  - ### Method Detail

    - #### values

          public static SpeciesFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpeciesFields c : SpeciesFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpeciesFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.